Bug 207669 - Crash in [QObject::connect, QAbstractItemView::setItemDelegate, OutputWidget::changeDelegate]
Summary: Crash in [QObject::connect, QAbstractItemView::setItemDelegate, OutputWidget:...
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdevelop-bugs-null
URL:
Keywords:
: 270325 303316 304072 307901 317659 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-09-17 10:21 UTC by Scatterlogical
Modified: 2013-04-03 06:35 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
crashdump1 (27.61 KB, text/plain)
2009-09-17 14:02 UTC, Scatterlogical
Details
crashdump2 (26.10 KB, text/plain)
2009-09-17 14:03 UTC, Scatterlogical
Details
crashdump3 (25.90 KB, text/plain)
2009-09-17 14:04 UTC, Scatterlogical
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Scatterlogical 2009-09-17 10:21:47 UTC
Application that crashed: kdevelop
Version of the application: 3.9.95 (using KDevPlatform 0.9.95)
KDE Version: 4.3.1 (KDE 4.3.1)
Qt Version: 4.5.1
Operating System: Linux 2.6.30-gentoo-r4 x86_64

 -- Backtrace:
Application: KDevelop (kdevelop), signal: Segmentation fault
[Current thread is 0 (LWP 3361)]

Thread 17 (Thread 0x7f2bded1c950 (LWP 3363)):
#0  0x00007f2bef24804d in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f2bef4b71a1 in QWaitCondition::wait (this=<value optimized out>, mutex=0x2b79c80, time=200000) at thread/qwaitcondition_unix.cpp:85
#2  0x00007f2bec06b4fe in KDevelop::DUChainPrivate::CleanupThread::run (this=0x2b79c60) at /var/tmp/portage/dev-util/kdevplatform-0.9.95/work/kdevplatform-0.9.95/language/duchain/duchain.cpp:280
#3  0x00007f2bef4b6619 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:189
#4  0x00007f2bef244017 in start_thread () from /lib/libpthread.so.0
#5  0x00007f2beda7c48d in clone () from /lib/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7f2bd2b53950 (LWP 3364)):
#0  0x00007f2beda75b92 in select () from /lib/libc.so.6
#1  0x00007f2bef576a06 in QProcessManager::run (this=0x283dae0) at io/qprocess_unix.cpp:305
#2  0x00007f2bef4b6619 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:189
#3  0x00007f2bef244017 in start_thread () from /lib/libpthread.so.0
#4  0x00007f2beda7c48d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f2bd1945950 (LWP 3392)):
#0  0x00007f2bef246d00 in __pthread_mutex_unlock_usercnt () from /lib/libpthread.so.0
#1  0x00007f2be7f3aaa0 in IA__g_main_context_check (context=0x3984180, max_priority=2147483647, fds=<value optimized out>, n_fds=<value optimized out>) at gmain.c:2651
#2  0x00007f2be7f3b278 in g_main_context_iterate (context=0x3984180, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2775
#3  0x00007f2be7f3b6bc in IA__g_main_context_iteration (context=0x3984180, may_block=1) at gmain.c:2841
#4  0x00007f2bef5bba8e in QEventDispatcherGlib::processEvents (this=0x39840b0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:326
#5  0x00007f2bef5938c2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007f2bef593a55 in QEventLoop::exec (this=0x7f2bd1945000, flags=) at kernel/qeventloop.cpp:196
#7  0x00007f2bef4b33d0 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#8  0x00007f2bef4b6619 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:189
#9  0x00007f2bef244017 in start_thread () from /lib/libpthread.so.0
#10 0x00007f2beda7c48d in clone () from /lib/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f2bd2146950 (LWP 3393)):
#0  0xffffffffff60017b in ?? ()
#1  0x00007f2bd2145d10 in ?? ()
#2  0x00007fffebf6176e in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 13 (Thread 0x7f2bd1144950 (LWP 3396)):
#0  0x00007f2bef24804d in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f2bef4b5b95 in thread_sleep (ti=0x7f2bd1143fb0) at thread/qthread_unix.cpp:298
#2  0x00007f2bef4b5cf0 in QThread::msleep (msecs=<value optimized out>) at thread/qthread_unix.cpp:324
#3  0x00007f2bca062031 in UIBlockTester::UIBlockTesterThread::run (this=0x39b35b0) at /var/tmp/portage/dev-util/kdevelop-3.9.95/work/kdevelop-3.9.95/languages/cpp/cpplanguagesupport.cpp:661
#4  0x00007f2bef4b6619 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:189
#5  0x00007f2bef244017 in start_thread () from /lib/libpthread.so.0
#6  0x00007f2beda7c48d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f2bc8d4b950 (LWP 3400)):
#0  0x00007f2bef247dc9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f2bef4b728b in QWaitCondition::wait (this=<value optimized out>, mutex=0x2a62eb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f2bf0c24071 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2a625b0, th=0x488ce10)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f2bf0c27c80 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2a62f90, th=0x488ce10)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f2bf0c263f4 in ThreadWeaver::ThreadRunHelper::run (this=0x7f2bc8d4b000, parent=0x2a625b0, th=0x488ce10)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/Thread.cpp:87
#5  0x00007f2bf0c264f4 in ThreadWeaver::Thread::run (this=0x488ce10) at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/Thread.cpp:142
#6  0x00007f2bef4b6619 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:189
#7  0x00007f2bef244017 in start_thread () from /lib/libpthread.so.0
#8  0x00007f2beda7c48d in clone () from /lib/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f2bc854a950 (LWP 3401)):
#0  0x00007f2bef247dc9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f2bef4b728b in QWaitCondition::wait (this=<value optimized out>, mutex=0x2a62eb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f2bf0c24071 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2a625b0, th=0x38eaa70)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f2bf0c27c80 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2a62f90, th=0x38eaa70)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f2bf0c263f4 in ThreadWeaver::ThreadRunHelper::run (this=0x7f2bc854a000, parent=0x2a625b0, th=0x38eaa70)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/Thread.cpp:87
#5  0x00007f2bf0c264f4 in ThreadWeaver::Thread::run (this=0x38eaa70) at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/Thread.cpp:142
#6  0x00007f2bef4b6619 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:189
#7  0x00007f2bef244017 in start_thread () from /lib/libpthread.so.0
#8  0x00007f2beda7c48d in clone () from /lib/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f2bc6f4e950 (LWP 3427)):
#0  0x00007f2bef247dc9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f2bef4b728b in QWaitCondition::wait (this=<value optimized out>, mutex=0x5234da0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f2bf0c24071 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x523bc60, th=0x5235380)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f2bf0c27c80 in ThreadWeaver::WorkingHardState::applyForWork (this=0x5234e80, th=0x5235380)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f2bf0c27c99 in ThreadWeaver::WorkingHardState::applyForWork (this=0x5234e80, th=0x5235380)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:74
#5  0x00007f2bf0c27c99 in ThreadWeaver::WorkingHardState::applyForWork (this=0x5234e80, th=0x5235380)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f2bf0c27c99 in ThreadWeaver::WorkingHardState::applyForWork (this=0x5234e80, th=0x5235380)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f2bf0c27c99 in ThreadWeaver::WorkingHardState::applyForWork (this=0x5234e80, th=0x5235380)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007f2bf0c27c99 in ThreadWeaver::WorkingHardState::applyForWork (this=0x5234e80, th=0x5235380)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:74
#9  0x00007f2bf0c27c99 in ThreadWeaver::WorkingHardState::applyForWork (this=0x5234e80, th=0x5235380)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0x00007f2bf0c27c99 in ThreadWeaver::WorkingHardState::applyForWork (this=0x5234e80, th=0x5235380)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:74
#11 0x00007f2bf0c27c99 in ThreadWeaver::WorkingHardState::applyForWork (this=0x5234e80, th=0x5235380)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:74
#12 0x00007f2bf0c27c99 in ThreadWeaver::WorkingHardState::applyForWork (this=0x5234e80, th=0x5235380)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:74
#13 0x00007f2bf0c27c99 in ThreadWeaver::WorkingHardState::applyForWork (this=0x5234e80, th=0x5235380)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:74
#14 0x00007f2bf0c263f4 in ThreadWeaver::ThreadRunHelper::run (this=0x7f2bc6f4e000, parent=0x523bc60, th=0x5235380)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/Thread.cpp:87
#15 0x00007f2bf0c264f4 in ThreadWeaver::Thread::run (this=0x5235380) at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/Thread.cpp:142
#16 0x00007f2bef4b6619 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:189
#17 0x00007f2bef244017 in start_thread () from /lib/libpthread.so.0
#18 0x00007f2beda7c48d in clone () from /lib/libc.so.6
#19 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f2bc5f2a950 (LWP 3506)):
#0  0x00007f2bef247dc9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f2bef4b728b in QWaitCondition::wait (this=<value optimized out>, mutex=0x2a62eb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f2bf0c24071 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2a625b0, th=0x289cee0)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f2bf0c27c80 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2a62f90, th=0x289cee0)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f2bf0c27c99 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2a62f90, th=0x289cee0)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:74
#5  0x00007f2bf0c263f4 in ThreadWeaver::ThreadRunHelper::run (this=0x7f2bc5f2a000, parent=0x2a625b0, th=0x289cee0)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/Thread.cpp:87
#6  0x00007f2bf0c264f4 in ThreadWeaver::Thread::run (this=0x289cee0) at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/Thread.cpp:142
#7  0x00007f2bef4b6619 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:189
#8  0x00007f2bef244017 in start_thread () from /lib/libpthread.so.0
#9  0x00007f2beda7c48d in clone () from /lib/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f2bc5729950 (LWP 3507)):
#0  0x00007f2bef247dc9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f2bef4b728b in QWaitCondition::wait (this=<value optimized out>, mutex=0x2a62eb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f2bf0c24071 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2a625b0, th=0x5379a90)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f2bf0c27c80 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2a62f90, th=0x5379a90)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f2bf0c263f4 in ThreadWeaver::ThreadRunHelper::run (this=0x7f2bc5729000, parent=0x2a625b0, th=0x5379a90)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/Thread.cpp:87
#5  0x00007f2bf0c264f4 in ThreadWeaver::Thread::run (this=0x5379a90) at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/Thread.cpp:142
#6  0x00007f2bef4b6619 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:189
#7  0x00007f2bef244017 in start_thread () from /lib/libpthread.so.0
#8  0x00007f2beda7c48d in clone () from /lib/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f2bc4f28950 (LWP 3508)):
#0  0x00007f2bef247dc9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f2bef4b728b in QWaitCondition::wait (this=<value optimized out>, mutex=0x2a62eb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f2bf0c24071 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2a625b0, th=0x7f2bd835ceb0)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f2bf0c27c80 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2a62f90, th=0x7f2bd835ceb0)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f2bf0c27c99 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2a62f90, th=0x7f2bd835ceb0)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:74
#5  0x00007f2bf0c263f4 in ThreadWeaver::ThreadRunHelper::run (this=0x7f2bc4f28000, parent=0x2a625b0, th=0x7f2bd835ceb0)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/Thread.cpp:87
#6  0x00007f2bf0c264f4 in ThreadWeaver::Thread::run (this=0x7f2bd835ceb0) at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/Thread.cpp:142
#7  0x00007f2bef4b6619 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:189
#8  0x00007f2bef244017 in start_thread () from /lib/libpthread.so.0
#9  0x00007f2beda7c48d in clone () from /lib/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f2bc4727950 (LWP 3509)):
#0  0x00007f2bef247dc9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f2bef4b728b in QWaitCondition::wait (this=<value optimized out>, mutex=0x2a62eb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f2bf0c24071 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2a625b0, th=0x7f2bcc1df9d0)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f2bf0c27c80 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2a62f90, th=0x7f2bcc1df9d0)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f2bf0c263f4 in ThreadWeaver::ThreadRunHelper::run (this=0x7f2bc4727000, parent=0x2a625b0, th=0x7f2bcc1df9d0)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/Thread.cpp:87
#5  0x00007f2bf0c264f4 in ThreadWeaver::Thread::run (this=0x7f2bcc1df9d0) at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/Thread.cpp:142
#6  0x00007f2bef4b6619 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:189
#7  0x00007f2bef244017 in start_thread () from /lib/libpthread.so.0
#8  0x00007f2beda7c48d in clone () from /lib/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f2bc3f26950 (LWP 3511)):
#0  0x00007f2bef247dc9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f2bef4b728b in QWaitCondition::wait (this=<value optimized out>, mutex=0x2a62eb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f2bf0c24071 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2a625b0, th=0x5354b90)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f2bf0c27c80 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2a62f90, th=0x5354b90)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f2bf0c263f4 in ThreadWeaver::ThreadRunHelper::run (this=0x7f2bc3f26000, parent=0x2a625b0, th=0x5354b90)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/Thread.cpp:87
#5  0x00007f2bf0c264f4 in ThreadWeaver::Thread::run (this=0x5354b90) at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/Thread.cpp:142
#6  0x00007f2bef4b6619 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:189
#7  0x00007f2bef244017 in start_thread () from /lib/libpthread.so.0
#8  0x00007f2beda7c48d in clone () from /lib/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f2bc674d950 (LWP 3808)):
#0  0x00007f2bef247dc9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f2bef4b728b in QWaitCondition::wait (this=<value optimized out>, mutex=0x5234da0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f2bf0c24071 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x523bc60, th=0x7769a60)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f2bf0c27c80 in ThreadWeaver::WorkingHardState::applyForWork (this=0x5234e80, th=0x7769a60)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f2bf0c27c99 in ThreadWeaver::WorkingHardState::applyForWork (this=0x5234e80, th=0x7769a60)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:74
#5  0x00007f2bf0c263f4 in ThreadWeaver::ThreadRunHelper::run (this=0x7f2bc674d000, parent=0x523bc60, th=0x7769a60)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/Thread.cpp:87
#6  0x00007f2bf0c264f4 in ThreadWeaver::Thread::run (this=0x7769a60) at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/Thread.cpp:142
#7  0x00007f2bef4b6619 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:189
#8  0x00007f2bef244017 in start_thread () from /lib/libpthread.so.0
#9  0x00007f2beda7c48d in clone () from /lib/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f2bc2706950 (LWP 3831)):
#0  0x00007f2bef247dc9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f2bef4b728b in QWaitCondition::wait (this=<value optimized out>, mutex=0x5234da0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f2bf0c24071 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x523bc60, th=0x888f1c0)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f2bf0c27c80 in ThreadWeaver::WorkingHardState::applyForWork (this=0x5234e80, th=0x888f1c0)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f2bf0c27c99 in ThreadWeaver::WorkingHardState::applyForWork (this=0x5234e80, th=0x888f1c0)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:74
#5  0x00007f2bf0c27c99 in ThreadWeaver::WorkingHardState::applyForWork (this=0x5234e80, th=0x888f1c0)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f2bf0c27c99 in ThreadWeaver::WorkingHardState::applyForWork (this=0x5234e80, th=0x888f1c0)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f2bf0c27c99 in ThreadWeaver::WorkingHardState::applyForWork (this=0x5234e80, th=0x888f1c0)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007f2bf0c27c99 in ThreadWeaver::WorkingHardState::applyForWork (this=0x5234e80, th=0x888f1c0)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:74
#9  0x00007f2bf0c27c99 in ThreadWeaver::WorkingHardState::applyForWork (this=0x5234e80, th=0x888f1c0)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0x00007f2bf0c27c99 in ThreadWeaver::WorkingHardState::applyForWork (this=0x5234e80, th=0x888f1c0)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:74
#11 0x00007f2bf0c263f4 in ThreadWeaver::ThreadRunHelper::run (this=0x7f2bc2706000, parent=0x523bc60, th=0x888f1c0)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/Thread.cpp:87
#12 0x00007f2bf0c264f4 in ThreadWeaver::Thread::run (this=0x888f1c0) at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/Thread.cpp:142
#13 0x00007f2bef4b6619 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:189
#14 0x00007f2bef244017 in start_thread () from /lib/libpthread.so.0
#15 0x00007f2beda7c48d in clone () from /lib/libc.so.6
#16 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f2bc1f05950 (LWP 3855)):
#0  0x00007f2bef247dc9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f2bef4b728b in QWaitCondition::wait (this=<value optimized out>, mutex=0x5234da0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f2bf0c24071 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x523bc60, th=0x891c3b0)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f2bf0c27c80 in ThreadWeaver::WorkingHardState::applyForWork (this=0x5234e80, th=0x891c3b0)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f2bf0c263f4 in ThreadWeaver::ThreadRunHelper::run (this=0x7f2bc1f05000, parent=0x523bc60, th=0x891c3b0)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/Thread.cpp:87
#5  0x00007f2bf0c264f4 in ThreadWeaver::Thread::run (this=0x891c3b0) at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/threadweaver/Weaver/Thread.cpp:142
#6  0x00007f2bef4b6619 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:189
#7  0x00007f2bef244017 in start_thread () from /lib/libpthread.so.0
#8  0x00007f2beda7c48d in clone () from /lib/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f2bf2746760 (LWP 3361)):
[KCrash Handler]
#5  0x00007f2bef5a651e in QObject::connect (sender=0x517e5a0, signal=0x7f2beec885b8 "2closeEditor(QWidget*,QAbstractItemDelegate::EndEditHint)", receiver=0x18a003d0, 
    method=0x7f2beec88558 "1closeEditor(QWidget*,QAbstractItemDelegate::EndEditHint)", type=Qt::AutoConnection) at kernel/qobject.cpp:2463
#6  0x00007f2beeaff743 in QAbstractItemView::setItemDelegate (this=0x18a003d0, delegate=0x517e5a0) at itemviews/qabstractitemview.cpp:677
#7  0x00007f2bdcd9e6c5 in OutputWidget::changeDelegate (this=<value optimized out>, id=4)
    at /var/tmp/portage/dev-util/kdevplatform-0.9.95/work/kdevplatform-0.9.95/plugins/standardoutputview/outputwidget.cpp:126
#8  0x00007f2bdcd9e86b in OutputWidget::createListView (this=0x189fe7f0, id=4)
    at /var/tmp/portage/dev-util/kdevplatform-0.9.95/work/kdevplatform-0.9.95/plugins/standardoutputview/outputwidget.cpp:352
#9  0x00007f2bdcd9e439 in OutputWidget::addOutput (this=0x517e5a0, id=-288848456)
    at /var/tmp/portage/dev-util/kdevplatform-0.9.95/work/kdevplatform-0.9.95/plugins/standardoutputview/outputwidget.cpp:104
#10 0x00007f2bdcd9e534 in OutputWidget::changeModel (this=0x189fe7f0, id=4) at /var/tmp/portage/dev-util/kdevplatform-0.9.95/work/kdevplatform-0.9.95/plugins/standardoutputview/outputwidget.cpp:147
#11 0x00007f2bdcd9eec4 in OutputWidget (this=0x189fe7f0, parent=<value optimized out>, tvdata=<value optimized out>)
    at /var/tmp/portage/dev-util/kdevplatform-0.9.95/work/kdevplatform-0.9.95/plugins/standardoutputview/outputwidget.cpp:96
#12 0x00007f2bdcd9d47d in OutputViewFactory::create (this=0x3948130, parent=<value optimized out>)
    at /var/tmp/portage/dev-util/kdevplatform-0.9.95/work/kdevplatform-0.9.95/plugins/standardoutputview/standardoutputview.cpp:58
#13 0x00007f2bebd772eb in Sublime::ToolView::createWidget (this=0x517e5a0, parent=0x7f2beec885b8) at /var/tmp/portage/dev-util/kdevplatform-0.9.95/work/kdevplatform-0.9.95/sublime/view.cpp:142
#14 0x00007f2bebd773d6 in Sublime::View::widget (this=0x101f2910, parent=0x7f2beec885b8) at /var/tmp/portage/dev-util/kdevplatform-0.9.95/work/kdevplatform-0.9.95/sublime/view.cpp:82
#15 0x00007f2bebd7bab7 in Sublime::IdealMainWidget::addView (this=0x60ef900, area=<value optimized out>, view=0x101f2910)
    at /var/tmp/portage/dev-util/kdevplatform-0.9.95/work/kdevplatform-0.9.95/sublime/ideal.cpp:539
#16 0x00007f2bebd71ebd in Sublime::MainWindowPrivate::IdealToolViewCreator::operator() (this=<value optimized out>, view=0x101f2910, position=Sublime::Bottom)
    at /var/tmp/portage/dev-util/kdevplatform-0.9.95/work/kdevplatform-0.9.95/sublime/mainwindow_p.cpp:190
#17 0x00007f2bebd763ff in Sublime::Area::walkToolViews<Sublime::MainWindowPrivate::IdealToolViewCreator> (this=<value optimized out>, op=@0x7fffebe1b230, positions=<value optimized out>)
    at /var/tmp/portage/dev-util/kdevplatform-0.9.95/work/kdevplatform-0.9.95/sublime/areawalkers.h:59
#18 0x00007f2bebd71fb6 in Sublime::MainWindowPrivate::reconstruct (this=0x16be5000) at /var/tmp/portage/dev-util/kdevplatform-0.9.95/work/kdevplatform-0.9.95/sublime/mainwindow_p.cpp:262
#19 0x00007f2bebd6cb4e in Sublime::MainWindow::setArea (this=0x155b65b0, area=0x2a01380) at /var/tmp/portage/dev-util/kdevplatform-0.9.95/work/kdevplatform-0.9.95/sublime/mainwindow.cpp:118
#20 0x00007f2bebd68764 in Sublime::Controller::addMainWindow (this=0x29d2fb0, mainWindow=0x155b65b0)
    at /var/tmp/portage/dev-util/kdevplatform-0.9.95/work/kdevplatform-0.9.95/sublime/controller.cpp:241
#21 0x00007f2bf1c4fe00 in KDevelop::UiController::switchToArea (this=0x29d2fb0, areaName=@0x7fffebe1b3a0, switchMode=<value optimized out>)
    at /var/tmp/portage/dev-util/kdevplatform-0.9.95/work/kdevplatform-0.9.95/shell/uicontroller.cpp:249
#22 0x00007f2bf1c41860 in KDevelop::MainWindowPrivate::newWindow (this=0x29f2ca0) at /var/tmp/portage/dev-util/kdevplatform-0.9.95/work/kdevplatform-0.9.95/shell/mainwindow_actions.cpp:113
#23 0x00007f2bf1c43d7d in KDevelop::MainWindowPrivate::qt_metacall (this=0x29f2ca0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffebe1b510)
    at /var/tmp/portage/dev-util/kdevplatform-0.9.95/work/kdevplatform-0.9.95_build/shell/mainwindow_p.moc:124
#24 0x00007f2bef5aa28e in QMetaObject::activate (sender=<value optimized out>, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=0x7fffebe1ab60)
    at kernel/qobject.cpp:3108
#25 0x00007f2bee6401f7 in QAction::triggered (this=0x517e5a0, _t1=false) at .moc/debug-shared/moc_qaction.cpp:236
#26 0x00007f2bee640f3f in QAction::activate (this=0x29fb0e0, event=<value optimized out>) at kernel/qaction.cpp:1160
#27 0x00007f2beea27852 in QMenuPrivate::activateCausedStack (this=0x2b5e020, causedStack=@0x7fffebe1b630, action=0x29fb0e0, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:967
#28 0x00007f2beea2e8c3 in QMenuPrivate::activateAction (this=0x2b5e020, action=0x29fb0e0, action_e=4009525472, self=<value optimized out>) at widgets/qmenu.cpp:1060
#29 0x00007f2befd8bb22 in KMenu::mouseReleaseEvent (this=0x2b55a10, e=0x7fffebe1c150) at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/kdeui/widgets/kmenu.cpp:456
#30 0x00007f2bee698939 in QWidget::event (this=0x2b55a10, event=0x7fffebe1c150) at kernel/qwidget.cpp:7521
#31 0x00007f2beea309c3 in QMenu::event (this=0x2b55a10, e=0x7fffebe1c150) at widgets/qmenu.cpp:2353
#32 0x00007f2bee645a9c in QApplicationPrivate::notify_helper (this=0x2839180, receiver=0x2b55a10, e=0x7fffebe1c150) at kernel/qapplication.cpp:4057
#33 0x00007f2bee64bbb9 in QApplication::notify (this=<value optimized out>, receiver=0x2b55a10, e=0x7fffebe1c150) at kernel/qapplication.cpp:3759
#34 0x00007f2befcd2c31 in KApplication::notify (this=0x7fffebe1df30, receiver=0x2b55a10, event=0x7fffebe1c150)
    at /var/tmp/portage/kde-base/kdelibs-4.3.1/work/kdelibs-4.3.1/kdeui/kernel/kapplication.cpp:302
#35 0x00007f2bef594d13 in QCoreApplication::notifyInternal (this=0x7fffebe1df30, receiver=0x2b55a10, event=0x7fffebe1c150) at kernel/qcoreapplication.cpp:606
#36 0x00007f2bee64cfcf in QApplicationPrivate::sendMouseEvent (receiver=0x2b55a10, event=0x7fffebe1c150, alienWidget=0x0, nativeWidget=0x2b55a10, buttonDown=<value optimized out>, 
    lastMouseReceiver=<value optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
#37 0x00007f2bee6adc8e in QETWidget::translateMouseEvent (this=0x2b55a10, event=<value optimized out>) at kernel/qapplication_x11.cpp:4382
#38 0x00007f2bee6ac629 in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7fffebe1daf0) at kernel/qapplication_x11.cpp:3566
#39 0x00007f2bee6d1ae4 in x11EventSourceDispatch (s=<value optimized out>, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#40 0x00007f2be7f37f3b in IA__g_main_context_dispatch (context=0x283b140) at gmain.c:2144
#41 0x00007f2be7f3b560 in g_main_context_iterate (context=0x283b140, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2778
#42 0x00007f2be7f3b6bc in IA__g_main_context_iteration (context=0x283b140, may_block=1) at gmain.c:2841
#43 0x00007f2bef5bba36 in QEventDispatcherGlib::processEvents (this=0x2838d40, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:324
#44 0x00007f2bee6d137e in QGuiEventDispatcherGlib::processEvents (this=0x517e5a0, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#45 0x00007f2bef5938c2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#46 0x00007f2bef593a55 in QEventLoop::exec (this=0x7fffebe1de10, flags=) at kernel/qeventloop.cpp:196
#47 0x00007f2bef59759b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#48 0x0000000000407517 in main (argc=<value optimized out>, argv=<value optimized out>) at /var/tmp/portage/dev-util/kdevelop-3.9.95/work/kdevelop-3.9.95/app/main.cpp:181

Reported using DrKonqi
Comment 1 Andreas Pakulat 2009-09-17 11:08:20 UTC
If anything this backtrace shows a bug in Qt, however KCrash might have snipped too many frames hence we can't be sure. Apart from that there's no reproduction information.
Comment 2 David Nolden 2009-09-17 11:16:25 UTC
Why should it be a bug in Qt? More probably it's the output-view, or the multiple main window support. There is enough info in the backtrace to see where the crash happens (Thread 1).

@reporter But it would be useful to know what you do when this crash happens
Comment 3 Andreas Pakulat 2009-09-17 12:18:48 UTC
(In reply to comment #2)
> Why should it be a bug in Qt?

I said "if anything". The reason is that it crashes in QObject::connect() which should not crash if I pass in two valid objects. 

> More probably it's the output-view, or the
> multiple main window support.

See, you're guessing yourself. That leads nowhere. Without more data this bugreport is simply invalid.
Comment 4 David Nolden 2009-09-17 12:25:55 UTC
Yeah, it's the "two valid objects" that is the critical point.. that one is more likely to cause problems than QObject::connect.
Comment 5 Scatterlogical 2009-09-17 14:01:15 UTC
Well, I have saved several more similar crash dumps if you'd like to see them. Although you may be right about it being a qt bug - I've discovered that kdevelop seems to be leaking memory severely with certain ui interactions (particularly with the menu) - which I assume causes the final crash, but it seems that other programs are repeatedly allocating ram in the same way, except I've just not had them crash the same. I'll be looking into it further tomorrow to confirm what's going on, then submit it as a qt bug if appropriate. In any case, I've attached the other dumps which might shed a bit more light, if want to be sure it's not a kdevelop bug.
Comment 6 Scatterlogical 2009-09-17 14:02:59 UTC
Created attachment 37012 [details]
crashdump1
Comment 7 Scatterlogical 2009-09-17 14:03:46 UTC
Created attachment 37013 [details]
crashdump2
Comment 8 Scatterlogical 2009-09-17 14:04:45 UTC
Created attachment 37014 [details]
crashdump3
Comment 9 Andreas Pakulat 2009-09-17 16:06:10 UTC
the first and last are totally unrelated. The second could maybe be the same cause as the inital backtrace. Could also be fixed meanwhile. Still, without more information there's nothing we can do.
Comment 10 Milian Wolff 2011-04-07 18:43:14 UTC
*** Bug 270325 has been marked as a duplicate of this bug. ***
Comment 11 Milian Wolff 2012-08-06 16:28:41 UTC
*** Bug 303316 has been marked as a duplicate of this bug. ***
Comment 12 Milian Wolff 2012-08-06 16:28:54 UTC
*** Bug 304072 has been marked as a duplicate of this bug. ***
Comment 13 Milian Wolff 2012-08-06 16:29:28 UTC
this is valid as can be seen by the numerous duplicates, yet I still wonder how we could reproduce this and fix it...
Comment 14 Milian Wolff 2012-08-06 16:58:06 UTC
Git commit 58b9bea8e932f8b509f97b6973c80ba18f2e9c32 by Milian Wolff.
Committed on 06/08/2012 at 18:54.
Pushed by mwolff into branch '1.4'.

Protect access of QAbstractItemDelegate pointer using a QWeakPointer.

The standard output view allows plugins to provide delegates and
also allows them to keep the ownership of them. While powerful, this
seems to be buggy and can lead to crashes in some cases.

Now we should properly detect the cases where we try to access an
invalid item delegate and output a warning instead of crashing.

It would still be interesting to know which plugin is responsible
for this bug.

M  +8    -3    plugins/standardoutputview/outputwidget.cpp
M  +7    -2    plugins/standardoutputview/toolviewdata.cpp
M  +1    -1    plugins/standardoutputview/toolviewdata.h

http://commits.kde.org/kdevplatform/58b9bea8e932f8b509f97b6973c80ba18f2e9c32
Comment 15 Andreas Pakulat 2012-08-06 18:54:40 UTC
Does the WeakPointer help? I guess given 204399 its not really helping. But the same applies as I said in the other report.
Comment 16 Milian Wolff 2012-08-07 08:24:25 UTC
The weakpointer should prevent the crash shown here but of course it does not really "help" in the sense that 204399 is still valid and might result in the crash now instead. I have not yet found a reliable way to reproduce the crash shown here, so I can't be sure.

I agree that we will have to do something more radical as outlined in 204399 to fix this issue for good.
Comment 17 Milian Wolff 2012-08-07 11:16:46 UTC
Git commit f5e397be7a8088a94814a488133d572dc4167f14 by Milian Wolff.
Committed on 07/08/2012 at 13:09.
Pushed by mwolff into branch 'master'.

Let the OutputView take ownership of a job's model and delegate.

This is required to ensure proper functionality of the views
when e.g. a plugin gets unloaded. Previously, this would trigger
crashes due to access of invalid model or delegate pointers.

Now the view will stay functioning even if e.g. the MakeBuilder
gets plugin gets unloaded after a project was compiled, or even
if you close a project while it is being built.

It is still safe to access both, the model and the delegate,
from inside a job as long as the job is running. When a view
gets closed, the job gets cancelled anyways.

Sadly, this is an ABI break and thus cannot be backported to
the KDevplatform 1.4 branch...
Related: bug 204399

M  +0    -1    outputview/CMakeLists.txt
D  +0    -38   outputview/delegateholder.cpp
D  +0    -44   outputview/delegateholder.h
M  +8    -18   outputview/ioutputview.h
M  +1    -1    outputview/outputdelegate.h
M  +4    -10   outputview/outputjob.cpp
M  +20   -4    outputview/outputjob.h
M  +1    -1    outputview/outputmodel.h
M  +1    -1    plugins/execute/nativeappjob.cpp
M  +1    -1    plugins/executescript/executescriptoutputmodel.h
M  +1    -2    plugins/executescript/executescriptplugin.cpp
M  +1    -2    plugins/executescript/executescriptplugin.h
M  +3    -3    plugins/executescript/scriptappjob.cpp
M  +0    -1    plugins/executescript/scriptappjob.h
M  +4    -3    plugins/externalscript/externalscriptjob.cpp
M  +0    -1    plugins/externalscript/externalscriptplugin.cpp
M  +1    -2    plugins/externalscript/externalscriptplugin.h
M  +1    -5    plugins/standardoutputview/outputwidget.cpp
M  +4    -4    plugins/standardoutputview/standardoutputview.cpp
M  +2    -2    plugins/standardoutputview/standardoutputview.h
M  +10   -20   plugins/standardoutputview/tests/standardoutputviewtest.cpp
M  +0    -4    plugins/standardoutputview/tests/standardoutputviewtest.h
M  +13   -8    plugins/standardoutputview/toolviewdata.cpp
M  +3    -5    plugins/standardoutputview/toolviewdata.h
M  +2    -2    vcs/dvcs/dvcsjob.cpp

http://commits.kde.org/kdevplatform/f5e397be7a8088a94814a488133d572dc4167f14
Comment 18 Milian Wolff 2012-08-07 11:55:41 UTC
Git commit 71ebc3a46cbae8dbf4f728f83ac4bfcfc3bca8bc by Milian Wolff.
Committed on 07/08/2012 at 13:50.
Pushed by mwolff into branch '4.4'.

Let the OutputView take ownership of the make output delegate.

This is basically the fix for the two bugs below that does not
require any ABI break and can thus be done in the 1.4 branch.
Related: bug 204399

M  +0    -7    projectbuilders/makebuilder/makebuilder.cpp
M  +0    -7    projectbuilders/makebuilder/makebuilder.h
M  +2    -1    projectbuilders/makebuilder/makejob.cpp
M  +1    -1    projectbuilders/makebuilder/makeoutputdelegate.h

http://commits.kde.org/kdevelop/71ebc3a46cbae8dbf4f728f83ac4bfcfc3bca8bc
Comment 19 Milian Wolff 2012-10-05 18:44:19 UTC
*** Bug 307901 has been marked as a duplicate of this bug. ***
Comment 20 Kevin Funk 2013-04-03 06:35:32 UTC
*** Bug 317659 has been marked as a duplicate of this bug. ***